<!--
    (c) Awasu Pty. Ltd. 2003-9 (all rights reserved).
    Unauthorized use of this code is prohibited.

    This software is provided 'as-is', without any express 
    or implied warranty.

    In no event will the author be held liable for any damages 
    arising from the use of this software.
    
    Permission is granted to anyone to use this software 
    for any non-commercial purpose and to alter it and
    redistribute it freely, subject to the following restrictions: 
    
    - The origin of this software must not be misrepresented; 
    you must not claim that you wrote the original software. 
    If you use this software, an acknowledgment is requested
    but not required. 
    
    - Altered source versions must be plainly marked as such, 
      and must not be misrepresented as being the original software. 
      Altered source is encouraged to be submitted back to 
      the original author so it can be shared with the community. 
      Please share your changes. 
    
    - This notice may not be removed or altered from any 
      source distribution. 
-->

<xsl:stylesheet
    version = '1.0'
    xmlns:xsl = 'http://www.w3.org/1999/XSL/Transform'
    xmlns:SOAP-ENV = "http://schemas.xmlsoap.org/soap/envelope/"
    xmlns:ns1 = "urn:GoogleSearch"
    xmlns:xsi="http://www.w3.org/1999/XMLSchema-instance"
>

<xsl:template match="text()|@*" />

<xsl:output cdata-section-elements="title" />
<xsl:output cdata-section-elements="description" />
<xsl:output cdata-section-elements="link" />
<xsl:output cdata-section-elements="guid" />

<xsl:template match="/">
    <rss version="2.0">
    <channel>
    <title>Google Search: <xsl:call-template name="GetQuery" /></title>
    <description>Google Search: <xsl:call-template name="GetQuery" /></description>
    <link>http://www.google.com/search?q=<xsl:call-template name="GetQuery" />&amp;oe=UTF-8&amp;ie=UTF-8</link>
    <image><url>http://www.google.com/logos/powered_by_google_135x35.gif</url></image>
    <xsl:apply-templates />
    </channel>
    </rss>
</xsl:template>

<xsl:template match="item[@xsi:type='ns1:ResultElement']" >
    <item>
    <xsl:apply-templates />
    </item>
</xsl:template>    

<xsl:template match="title" >
    <title>
    <xsl:value-of select="." />
    </title>
</xsl:template>    

<xsl:template match="URL" >
    <link>
    <xsl:value-of select="." />
    </link>
</xsl:template>    

<xsl:template match="snippet" >
    <description>
    <xsl:value-of select="." />
    </description>
</xsl:template>    

<xsl:template name="GetQuery">
    <xsl:for-each select="/SOAP-ENV:Envelope/SOAP-ENV:Body/ns1:doGoogleSearchResponse/return/searchQuery">
        <xsl:value-of select="." />
    </xsl:for-each>
</xsl:template>    

</xsl:stylesheet> 

