#
#  COPYRIGHT:   (c) Awasu Pty. Ltd. 2002-9 (all rights reserved).
#               Unauthorized use of this code is prohibited.
# 
#  LICENSE:     This software is provided 'as-is', without any express 
#               or implied warranty.
# 
#               In no event will the author be held liable for any damages 
#               arising from the use of this software.
#   
#               Permission is granted to anyone to use this software 
#               for any non-commercial purpose and to alter it and
#               redistribute it freely, subject to the following restrictions: 
# 
#               - The origin of this software must not be misrepresented; 
#                 you must not claim that you wrote the original software. 
#                 If you use this software, an acknowledgment is requested
#                 but not required. 
# 
#               - Altered source versions must be plainly marked as such, 
#                 and must not be misrepresented as being the original software. 
#                 Altered source is encouraged to be submitted back to 
#                 the original author so it can be shared with the community. 
#                 Please share your changes. 
# 
#               - This notice may not be removed or altered from any 
#                 source distribution. 
#

# ---------------------------------------------------------------------

# This is a sample Awasu channel plugin written in Python. It reads parameters
# from the INI file passed in and generates the required dummy RSS feed.

import sys
import win32api

# get the name of the INI file
configFilename = sys.argv[1]

# get our channel parameters
HOME_URL = win32api.GetProfileVal( "ChannelParameters" , "HomeUrl" , "" , configFilename )
NFEEDITEMS = win32api.GetProfileVal( "ChannelParameters" , "nItems" , 0 , configFilename )

# ---------------------------------------------------------------------

# generate the RSS feed 
print "<rss>" 
print "<channel>" 
print 
print "<title>Sample Python Channel 2</title>" 
print "<link>" + HOME_URL + "</link>"
print "<description>This is a dummy RSS feed generated by the sample Python channel plugin.</description>" 
print 
for i in range(1,NFEEDITEMS+1) :
    print "<item>" 
    print "    <title>Item " + str(i) + "</title>" 
    print "    <link>" + HOME_URL + "/item" + str(i) + ".html</link>" 
    print "    <description>This is a dummy description for item " + str(i) + "</description>" 
    print "</item>" 
    print 
print "</channel>" 
print "</rss>" 

